camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Willem Jiang (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-6751) Upgrade to Jetty 8.1.x
Date Tue, 17 Sep 2013 07:45:52 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-6751?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13769296#comment-13769296
] 

Willem Jiang commented on CAMEL-6751:
-------------------------------------

As you know the servlet API is backward compatible, all the camel-http* code are not using
the new feature of Servlet 3.0, so it should support servlet API 2.5 and servlet API 3.0 at
the same time.
If we deploy the camel-http* feature into Karaf which provide servlet 2.5 API or servlet 3.0
in the runtime, camel-http* should work out of box.
                
> Upgrade to Jetty 8.1.x
> ----------------------
>
>                 Key: CAMEL-6751
>                 URL: https://issues.apache.org/jira/browse/CAMEL-6751
>             Project: Camel
>          Issue Type: Task
>          Components: camel-jetty
>    Affects Versions: 2.12.0
>            Reporter: Christian Müller
>            Assignee: Willem Jiang
>             Fix For: 2.13.0
>
>
> Apache CXF 2.7.7 is using Jetty 8.1.12.v20130726
> Apache Karaf 3.0.0-TRUNK is using Jetty 8.1.9.x

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message